#!/bin/bash
#
#   Version 1.0
#
#   Copyright 2016-2018 Lee Djavaherian
#
#   This program is distributed under the terms of the GNU General Public License
#   This file is part of TrillSat.
#
#   TrillSat is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   TrillSat is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with TrillSat.  If not, see <http://www.gnu.org/licenses/>.
###################################################################################

cd /trillsat
cat trillsat.c | sed 's/CHIP-NAME-INSERTED-FROM-SCRIPT/HUCKLEBERRY/' > huckleberry.c
avr-gcc -mmcu=attiny1634 -Os huckleberry.c -o huckleberry.o
sudo avr-objcopy -j .text -j .data -O ihex huckleberry.o huckleberry.hex
echo "Burn Huckleberry Flash.  Press Enter to start burn."
read x
sudo avrdude -pt1634 -c linuxgpio -U flash:w:huckleberry.hex:i -C /trillsat/trillsat_huck_avrdude.conf
gpio -g mode 2 alt0
gpio -g mode 3 alt0
sudo i2cdetect -y 1

